<?php

namespace App\Repository;

use App\Entity\Restaurants;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Ramsey\Collection\Collection;

/**
 * @extends ServiceEntityRepository<Restaurants>
 *
 * @method Restaurants|null find($id, $lockMode = null, $lockVersion = null)
 */
interface RestaurantsRepositoryInterface
{
    public function getCountWithFilters(?string $kitchenId, string $typeId): int;

    /** @return Collection<Restaurants> */
    public function findByFilters(?string $kitchenId, ?string $typeId, int $limit, int $offset): Collection;
}
